Package org.eclipse.net4j.util.ui

# Class TableLabelProvider<T>

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.net4j.util.ui.ManagedLabelProvider
org.eclipse.net4j.util.ui.TableLabelProvider<T>

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`, `ITableColorProvider`, `ITableFontProvider`, `ITableLabelProvider`

public class TableLabelProvider<T> extends ManagedLabelProvider implements ITableLabelProvider, ITableColorProvider, ITableFontProvider

Since:
  3.3
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TableLabelProvider.Column<T>`

## Constructor Summary

Constructors
Constructor
Description
`TableLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`TableLabelProvider<T>`
`addColumn(TableLabelProvider.Column<T> column)`
`Color`
`getBackground(Object element, int columnIndex)`
`TableLabelProvider.Column<T>`
`getColumn(int columnIndex)`
`Image`
`getColumnImage(Object element, int columnIndex)`
`String`
`getColumnText(Object element, int columnIndex)`
`Font`
`getFont(Object element, int columnIndex)`
`Color`
`getForeground(Object element, int columnIndex)`
`boolean`
`isHeaderVisible()`
`boolean`
`isLinesVisible()`
`TableLabelProvider.Column<T>`
`removeColumn(int columnIndex)`
`TableLabelProvider<T>`
`setHeaderVisible(boolean headerVisible)`
`TableLabelProvider<T>`
`setLinesVisible(boolean linesVisible)`
`TableLabelProvider<T>`
`support(TableViewer tableViewer)`

### Methods inherited from class org.eclipse.net4j.util.ui.ManagedLabelProvider

`createResourceManager, dispose, getResource, getResourceManager`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### TableLabelProvider

public TableLabelProvider()

## Method Details

### addColumn

public TableLabelProvider<T> addColumn(TableLabelProvider.Column<T> column)

### isHeaderVisible

public boolean isHeaderVisible()

### setHeaderVisible

public TableLabelProvider<T> setHeaderVisible(boolean headerVisible)

### isLinesVisible

public boolean isLinesVisible()

### setLinesVisible

public TableLabelProvider<T> setLinesVisible(boolean linesVisible)

### removeColumn

public TableLabelProvider.Column<T> removeColumn(int columnIndex)

### getColumn

public TableLabelProvider.Column<T> getColumn(int columnIndex)

### getColumnText

public String getColumnText(Object element, int columnIndex)

Specified by:
  `getColumnText` in interface `ITableLabelProvider`

### getColumnImage

public Image getColumnImage(Object element, int columnIndex)

Specified by:
  `getColumnImage` in interface `ITableLabelProvider`

### getForeground

public Color getForeground(Object element, int columnIndex)

Specified by:
  `getForeground` in interface `ITableColorProvider`

### getBackground

public Color getBackground(Object element, int columnIndex)

Specified by:
  `getBackground` in interface `ITableColorProvider`

### getFont

public Font getFont(Object element, int columnIndex)

Specified by:
  `getFont` in interface `ITableFontProvider`

### support

public TableLabelProvider<T> support(TableViewer tableViewer)